Bug 195794 - add "write email to" to context menu if clicking on a key
Summary: add "write email to" to context menu if clicking on a key
Status: RESOLVED FIXED
Alias: None
Product: kgpg
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified All
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Rolf Eike Beer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-09 16:58 UTC by m.wege
Modified: 2013-10-18 22:18 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch to add send email to context menu (2.85 KB, patch)
2011-02-12 15:11 UTC, Roeland Douma
Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.wege 2009-06-09 16:58:26 UTC
Version:           2.1.60 (using 4.2.90 (KDE 4.2.90 (KDE 4.3 Beta2)), Kubuntu packages)
Compiler:          cc
OS:                Linux (i686) release 2.6.30-020630rc6-generic

Add "write email to" to context menu if clicking on a key. Would be a very useful feature.
Comment 1 Rolf Eike Beer 2009-06-11 14:26:13 UTC
Given the fact that I have written it into my TODO document ages ago I should really do this ;)
Comment 2 Roeland Douma 2011-02-12 15:11:29 UTC
Created attachment 57187 [details]
Patch to add send email to context menu

I missed this option to so decided to add it myself.
Patch is against r1220018
Comment 3 Rolf Eike Beer 2011-02-13 20:27:34 UTC
> I missed this option to so decided to add it myself.
> Patch is against r1220018

Thank you! I always wanted to have this but never came to actually 
implementing it.

Two things I noticed:

-don't test a QString if it is equal to "", use .isEmpty() instead.
-I don't know if KToolinvocation supports this, but could you try not only 
sending the list of email addresses, but also add the names to the list? You 
likely need to quote the single entries then, but I think would be cool if you 
can pass something like "Rolf Eike Beer <eike@sf-mail.de>","Roeland Douma 
<...>",m.wege@web.de to KToolInvocation and the recipients names would show up 
in the mail program
Comment 4 Rolf Eike Beer 2013-10-18 22:18:45 UTC
Git commit ef301f79166c283093565d4c514de9ac8e5cd621 by Rolf Eike Beer.
Committed on 18/10/2013 at 21:10.
Pushed by dakon into branch 'master'.

add context action to send a mail to key or user id owner

Also reorder some other context menu entries to make those that are probably
used more often to the top.

Based on a patch from Roeland Douma <roeland@rullzer.com> which I forgot in the
bugtracker for more than 2 years :(
FEATURE

M  +27   -4    keysmanager.cpp
M  +1    -0    keysmanager.h
M  +4    -0    keysmanager.rc

http://commits.kde.org/kgpg/ef301f79166c283093565d4c514de9ac8e5cd621